# Preliminaries ####

## Packages ####

required_packages <- c("tidyverse", "lubridate", "readxl",
                       "bizdays", "plm", "fixest", 
                       "lfe", "stargazer", "modelsummary", 
                       "SAFFI2R", "sandwich", "lmtest", 
                       "multiwayvcov", "zoo", "estimatr", 
                       "MASS", "ordinal", "conflicted", 
                       "AER", "arphit", "ivmodel") 

new_packages <- required_packages[!(required_packages %in% installed.packages()[,"Package"])]

if(length(new_packages) > 0) {install.packages(new_packages)
  }

invisible(lapply(required_packages, library, character.only = TRUE))

conflict_prefer("filter", "dplyr")
conflict_prefer("select", "dplyr")

# Date settings ####

first_month <- as_date("2019-10-31")
last_month <- as_date("2021-10-31")

# File locations ####

regression_output <- "R/Regression output/" 

output_path <- "R/Other output/" 

input_path <- "R/Inputs/" 
